Package ru.bitel.bgbilling.modules.gorod.server.bean

# Class GorodParams

java.lang.Object
ru.bitel.bgbilling.modules.gorod.server.bean.GorodParams

public class GorodParams extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_PATTERN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GorodParams(Preferences moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDateFormat()`
  `String`
  `getDefaultAddress()`
  `long`
  `getGroupMask()`
  `int`
  `getHeaderAccount(int key)`
  `Preferences`
  `getModuleSetup()`
  `int`
  `getParamAddress()`
  `int`
  `getParamFullName()`
  `String`
  `getRegisterEncoding(String tagId)`
  Возвращает кодировку реестра по коду тега
  `String`
  `getRegisterPattern(String tagId)`
  Возвращает шаблон реестра по коду тега
  `String`
  `getSummFunction()`
  `ParameterMap`
  `getTagAccounts()`
  `boolean`
  `isDropGFromAddress()`
  `boolean`
  `isNote()`
  `boolean`
  `isNoteDate()`
  `boolean`
  `isReplaceTitleToCid()`
  `boolean`
  `isRestGreaterZero()`
  `void`
  `setDateFormat(String dateFormat)`
  `void`
  `setDefaultAddress(String defaultAddress)`
  `void`
  `setDropGFromAddress(boolean dropGFromAddress)`
  `void`
  `setGroupMask(long groupMask)`
  `void`
  `setModuleSetup(Preferences moduleSetup)`
  `void`
  `setNote(boolean isNote)`
  `void`
  `setNoteDate(boolean isNoteDate)`
  `void`
  `setParamAddress(int paramAddress)`
  `void`
  `setParamFullName(int paramFullName)`
  `void`
  `setReplaceTitleToCid(boolean isReplaceTitleToCid)`
  `void`
  `setRestGreaterZero(boolean isRestGreaterZero)`
  `void`
  `setSummFunction(String summFunction)`
  `void`
  `setTagAccounts(ParameterMap tagAccounts)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PATTERN

    public static final String DEFAULT_PATTERN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GorodParams

    public GorodParams(Preferences moduleSetup)

- ## Method Details

  - ### getModuleSetup

    public Preferences getModuleSetup()

  - ### setModuleSetup

    public void setModuleSetup(Preferences moduleSetup)

  - ### getParamAddress

    public int getParamAddress()

  - ### setParamAddress

    public void setParamAddress(int paramAddress)

  - ### getParamFullName

    public int getParamFullName()

  - ### setParamFullName

    public void setParamFullName(int paramFullName)

  - ### getGroupMask

    public long getGroupMask()

  - ### setGroupMask

    public void setGroupMask(long groupMask)

  - ### getDefaultAddress

    public String getDefaultAddress()

  - ### setDefaultAddress

    public void setDefaultAddress(String defaultAddress)

  - ### isNote

    public boolean isNote()

  - ### setNote

    public void setNote(boolean isNote)

  - ### isNoteDate

    public boolean isNoteDate()

  - ### setNoteDate

    public void setNoteDate(boolean isNoteDate)

  - ### isRestGreaterZero

    public boolean isRestGreaterZero()

  - ### setRestGreaterZero

    public void setRestGreaterZero(boolean isRestGreaterZero)

  - ### isReplaceTitleToCid

    public boolean isReplaceTitleToCid()

  - ### setReplaceTitleToCid

    public void setReplaceTitleToCid(boolean isReplaceTitleToCid)

  - ### getTagAccounts

    public ParameterMap getTagAccounts()

  - ### setTagAccounts

    public void setTagAccounts(ParameterMap tagAccounts)

  - ### isDropGFromAddress

    public boolean isDropGFromAddress()

  - ### setDropGFromAddress

    public void setDropGFromAddress(boolean dropGFromAddress)

  - ### getHeaderAccount

    public int getHeaderAccount(int key)

  - ### getSummFunction

    public String getSummFunction()

  - ### setSummFunction

    public void setSummFunction(String summFunction)

  - ### getDateFormat

    public String getDateFormat()

  - ### setDateFormat

    public void setDateFormat(String dateFormat)

  - ### getRegisterPattern

    public String getRegisterPattern(String tagId)
    Возвращает шаблон реестра по коду тега
    Parameters:
      `tagId` -
    Returns:

  - ### getRegisterEncoding

    public String getRegisterEncoding(String tagId)
    Возвращает кодировку реестра по коду тега
    Parameters:
      `tagId` - код тега
    Returns:
      кодировка